=== modified file 'drizzled/include.am'
--- drizzled/include.am	2010-12-24 16:11:53 +0000
+++ drizzled/include.am	2010-12-27 20:20:52 +0000
@@ -235,6 +235,7 @@
 			      drizzled/item/field.h \
 			      drizzled/item/float.h \
 			      drizzled/item/func.h \
+			      drizzled/item/function/boolean.h \
 			      drizzled/item/hex_string.h \
 			      drizzled/item/ident.h \
 			      drizzled/item/insert_value.h \
@@ -651,6 +652,7 @@
 			   drizzled/item/empty_string.cc \
 			   drizzled/item/field.cc \
 			   drizzled/item/float.cc \
+			   drizzled/item/function/boolean.cc \
 			   drizzled/item/hex_string.cc \
 			   drizzled/item/ident.cc \
 			   drizzled/item/insert_value.cc \

=== modified file 'drizzled/item/cmpfunc.cc'
--- drizzled/item/cmpfunc.cc	2010-12-22 08:40:40 +0000
+++ drizzled/item/cmpfunc.cc	2010-12-27 20:20:52 +0000
@@ -1615,7 +1615,7 @@
 
 void Item_in_optimizer::cleanup()
 {
-  Item_bool_func::cleanup();
+  item::function::Boolean::cleanup();
   if (!save_cache)
     cache= 0;
   return;
@@ -3853,7 +3853,7 @@
 
 
 Item_cond::Item_cond(Session *session, Item_cond *item)
-  :Item_bool_func(session, item),
+  :item::function::Boolean(session, item),
    abort_on_null(item->abort_on_null),
    and_tables_cache(item->and_tables_cache)
 {
@@ -4886,7 +4886,7 @@
 }
 
 Item_equal::Item_equal(Item_field *f1, Item_field *f2)
-  : Item_bool_func(), const_item(0), eval_item(0), cond_false(0)
+  : item::function::Boolean(), const_item(0), eval_item(0), cond_false(0)
 {
   const_item_cache= 0;
   fields.push_back(f1);
@@ -4894,7 +4894,7 @@
 }
 
 Item_equal::Item_equal(Item *c, Item_field *f)
-  : Item_bool_func(), eval_item(0), cond_false(0)
+  : item::function::Boolean(), eval_item(0), cond_false(0)
 {
   const_item_cache= 0;
   fields.push_back(f);
@@ -4903,7 +4903,7 @@
 
 
 Item_equal::Item_equal(Item_equal *item_equal)
-  : Item_bool_func(), eval_item(0), cond_false(0)
+  : item::function::Boolean(), eval_item(0), cond_false(0)
 {
   const_item_cache= 0;
   List_iterator_fast<Item_field> li(item_equal->fields);

=== modified file 'drizzled/item/cmpfunc.h'
--- drizzled/item/cmpfunc.h	2010-12-18 18:24:57 +0000
+++ drizzled/item/cmpfunc.h	2010-12-27 20:20:52 +0000
@@ -34,6 +34,7 @@
 #include "drizzled/session.h"
 #include "drizzled/common.h"
 #include "drizzled/qsort_cmp.h"
+#include "drizzled/item/function/boolean.h"
 
 namespace drizzled
 {
@@ -125,25 +126,13 @@
   friend class Item_func;
 };
 
-class Item_bool_func :public Item_int_func
-{
-public:
-  Item_bool_func() :Item_int_func() {}
-  Item_bool_func(Item *a) :Item_int_func(a) {}
-  Item_bool_func(Item *a,Item *b) :Item_int_func(a,b) {}
-  Item_bool_func(Session *session, Item_bool_func *item) :Item_int_func(session, item) {}
-  bool is_bool_func() { return 1; }
-  void fix_length_and_dec() { decimals=0; max_length=1; }
-  uint32_t decimal_precision() const { return 1; }
-};
-
 
 /**
   Abstract Item class, to represent <code>X IS [NOT] (TRUE | FALSE)</code>
   boolean predicates.
 */
 
-class Item_func_truth : public Item_bool_func
+class Item_func_truth : public item::function::Boolean
 {
 public:
   virtual bool val_bool();
@@ -153,7 +142,7 @@
 
 protected:
   Item_func_truth(Item *a, bool a_value, bool a_affirmative)
-  : Item_bool_func(a), value(a_value), affirmative(a_affirmative)
+  : item::function::Boolean(a), value(a_value), affirmative(a_affirmative)
   {}
 
   ~Item_func_truth()
@@ -242,7 +231,7 @@
     placed into a separate class called 'Item_in_optimizer'.
 */
 
-class Item_in_optimizer: public Item_bool_func
+class Item_in_optimizer: public item::function::Boolean
 {
 protected:
   Item_cache *cache;
@@ -256,7 +245,7 @@
   bool result_for_null_param;
 public:
   Item_in_optimizer(Item *a, Item_in_subselect *b):
-    Item_bool_func(a, reinterpret_cast<Item *>(b)), cache(0),
+    item::function::Boolean(a, reinterpret_cast<Item *>(b)), cache(0),
     save_cache(0), result_for_null_param(UNKNOWN)
   { with_subselect= true; }
   bool fix_fields(Session *, Item **);
@@ -388,10 +377,10 @@
   { return true; }
 };
 
-class Item_func_not :public Item_bool_func
+class Item_func_not :public item::function::Boolean
 {
 public:
-  Item_func_not(Item *a) :Item_bool_func(a) {}
+  Item_func_not(Item *a) :item::function::Boolean(a) {}
   int64_t val_int();
   enum Functype functype() const { return NOT_FUNC; }
   const char *func_name() const { return "not"; }
@@ -430,11 +419,11 @@
    - To wrap condition that is pushed down into subquery
 */
 
-class Item_func_trig_cond: public Item_bool_func
+class Item_func_trig_cond: public item::function::Boolean
 {
   bool *trig_var;
 public:
-  Item_func_trig_cond(Item *a, bool *f) : Item_bool_func(a) { trig_var= f; }
+  Item_func_trig_cond(Item *a, bool *f) : item::function::Boolean(a) { trig_var= f; }
   int64_t val_int() { return *trig_var ? args[0]->val_int() : 1; }
   enum Functype functype() const { return TRIG_COND_FUNC; };
   const char *func_name() const { return "trigcond"; };
@@ -1286,12 +1275,12 @@
 
 /* Functions used by where clause */
 
-class Item_func_isnull :public Item_bool_func
+class Item_func_isnull :public item::function::Boolean
 {
 protected:
   int64_t cached_value;
 public:
-  Item_func_isnull(Item *a) :Item_bool_func(a) {}
+  Item_func_isnull(Item *a) :item::function::Boolean(a) {}
   int64_t val_int();
   enum Functype functype() const { return ISNULL_FUNC; }
   void fix_length_and_dec()
@@ -1353,11 +1342,11 @@
 };
 
 
-class Item_func_isnotnull :public Item_bool_func
+class Item_func_isnotnull :public item::function::Boolean
 {
   bool abort_on_null;
 public:
-  Item_func_isnotnull(Item *a) :Item_bool_func(a), abort_on_null(0) {}
+  Item_func_isnotnull(Item *a) :item::function::Boolean(a), abort_on_null(0) {}
   int64_t val_int();
   enum Functype functype() const { return ISNOTNULL_FUNC; }
   void fix_length_and_dec()
@@ -1417,7 +1406,7 @@
 
 typedef class Item COND;
 
-class Item_cond :public Item_bool_func
+class Item_cond :public item::function::Boolean
 {
 protected:
   List<Item> list;
@@ -1429,17 +1418,17 @@
   using Item::split_sum_func;
 
   /* Item_cond() is only used to create top level items */
-  Item_cond(): Item_bool_func(), abort_on_null(1)
+  Item_cond(): item::function::Boolean(), abort_on_null(1)
   { const_item_cache=0; }
   Item_cond(Item *i1,Item *i2)
-    :Item_bool_func(), abort_on_null(0)
+    :item::function::Boolean(), abort_on_null(0)
   {
     list.push_back(i1);
     list.push_back(i2);
   }
   Item_cond(Session *session, Item_cond *item);
   Item_cond(List<Item> &nlist)
-    :Item_bool_func(), list(nlist), abort_on_null(0) {}
+    :item::function::Boolean(), list(nlist), abort_on_null(0) {}
   bool add(Item *item) { return list.push_back(item); }
   bool add_at_head(Item *item) { return list.push_front(item); }
   void add_at_head(List<Item> *nlist) { list.prepand(nlist); }
@@ -1543,16 +1532,23 @@
   object represents f1=f2= ...=fn to the projection of known fields fi1=...=fik.
 */
 
-class Item_equal: public Item_bool_func
+class Item_equal: public item::function::Boolean
 {
   List<Item_field> fields; /* list of equal field items                    */
   Item *const_item;        /* optional constant item equal to fields items */
   cmp_item *eval_item;
   bool cond_false;
+
 public:
-  inline Item_equal()
-    : Item_bool_func(), const_item(0), eval_item(0), cond_false(0)
-  { const_item_cache=0 ;}
+  inline Item_equal() :
+    item::function::Boolean(),
+    const_item(0),
+    eval_item(0),
+    cond_false(0)
+  {
+    const_item_cache=0;
+  }
+
   Item_equal(Item_field *f1, Item_field *f2);
   Item_equal(Item *c, Item_field *f);
   Item_equal(Item_equal *item_equal);

=== added directory 'drizzled/item/function'
=== added file 'drizzled/item/function/boolean.cc'
--- drizzled/item/function/boolean.cc	1970-01-01 00:00:00 +0000
+++ drizzled/item/function/boolean.cc	2010-12-27 20:20:52 +0000
@@ -0,0 +1,35 @@
+/* - mode: c; c-basic-offset: 2; indent-tabs-mode: nil; -*-
+ *  vim:expandtab:shiftwidth=2:tabstop=2:smarttab:
+ *
+ *  Copyright (C) 2010 Brian Aker
+ *
+ *  This program is free software; you can redistribute it and/or modify
+ *  it under the terms of the GNU General Public License as published by
+ *  the Free Software Foundation; either version 2 of the License, or
+ *  (at your option) any later version.
+ *
+ *  This program is distributed in the hope that it will be useful,
+ *  but WITHOUT ANY WARRANTY; without even the implied warranty of
+ *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ *  GNU General Public License for more details.
+ *
+ *  You should have received a copy of the GNU General Public License
+ *  along with this program; if not, write to the Free Software
+ *  Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
+ */
+
+#include "config.h"
+
+namespace drizzled
+{
+
+namespace item
+{
+
+namespace function
+{
+
+
+} /* namespace function */
+} /* namespace item */
+} /* namespace drizzled */

=== added file 'drizzled/item/function/boolean.h'
--- drizzled/item/function/boolean.h	1970-01-01 00:00:00 +0000
+++ drizzled/item/function/boolean.h	2010-12-27 20:20:52 +0000
@@ -0,0 +1,77 @@
+/* - mode: c; c-basic-offset: 2; indent-tabs-mode: nil; -*-
+ *  vim:expandtab:shiftwidth=2:tabstop=2:smarttab:
+ *
+ *  Copyright (C) 2010 Brian Aker
+ *  Copyright (C) 2010 Brian Aker
+ *
+ *  This program is free software; you can redistribute it and/or modify
+ *  it under the terms of the GNU General Public License as published by
+ *  the Free Software Foundation; either version 2 of the License, or
+ *  (at your option) any later version.
+ *
+ *  This program is distributed in the hope that it will be useful,
+ *  but WITHOUT ANY WARRANTY; without even the implied warranty of
+ *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ *  GNU General Public License for more details.
+ *
+ *  You should have received a copy of the GNU General Public License
+ *  along with this program; if not, write to the Free Software
+ *  Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
+ */
+
+
+#ifndef DRIZZLED_ITEM_FUNCTION_BOOLEAN_H
+#define DRIZZLED_ITEM_FUNCTION_BOOLEAN_H
+
+#include "drizzled/function/math/int.h"
+
+namespace drizzled
+{
+
+namespace item
+{
+
+namespace function
+{
+
+class Boolean :public Item_int_func
+{
+public:
+  Boolean() :
+    Item_int_func()
+  {}
+
+  Boolean(Item *a) :
+    Item_int_func(a)
+  {}
+
+  Boolean(Item *a,Item *b) :
+    Item_int_func(a,b)
+  {}
+
+  Boolean(Session *session, Boolean *item) :
+    Item_int_func(session, item)
+  {}
+
+  bool is_bool_func()
+  {
+    return true;
+  }
+
+  void fix_length_and_dec()
+  {
+    decimals= 0;
+    max_length= 1;
+  }
+
+  uint32_t decimal_precision() const
+  {
+    return 1;
+  }
+};
+
+} /* namespace function */
+} /* namespace item */
+} /* namespace drizzled */
+
+#endif /* DRIZZLED_ITEM_FUNCTION_BOOLEAN_H */

=== modified file 'plugin/debug/module.cc'
--- plugin/debug/module.cc	2010-12-16 01:48:53 +0000
+++ plugin/debug/module.cc	2010-12-27 20:20:52 +0000
@@ -41,16 +41,17 @@
 #include <drizzled/util/backtrace.h>
 #include <drizzled/function/func.h>
 #include <drizzled/item/cmpfunc.h>
+#include <drizzled/item/function/boolean.h>
 
 using namespace drizzled;
 
 namespace debug {
 
-class Assert :public Item_bool_func
+class Assert :public item::function::Boolean
 {
 public:
   Assert() :
-    Item_bool_func()
+    item::function::Boolean()
   {
     unsigned_flag= true;
   }
@@ -60,8 +61,8 @@
 
   bool val_bool()
   {
-    drizzled::String _res;
-    drizzled::String *res= args[0]->val_str(&_res);
+    String _res;
+    String *res= args[0]->val_str(&_res);
 
     null_value= false;
 
@@ -85,11 +86,11 @@
   }
 };
 
-class Backtrace :public Item_bool_func
+class Backtrace :public item::function::Boolean
 {
 public:
   Backtrace() :
-    Item_bool_func()
+    item::function::Boolean()
   {
     unsigned_flag= true;
   }
@@ -99,7 +100,7 @@
 
   bool val_bool()
   {
-    drizzled::util::custom_backtrace();
+    util::custom_backtrace();
     return true;
   }
 
@@ -109,11 +110,11 @@
   }
 };
 
-class Crash :public Item_bool_func
+class Crash :public item::function::Boolean
 {
 public:
   Crash() :
-    Item_bool_func()
+    item::function::Boolean()
   { }
 
   const char *func_name() const { return "crash"; }

=== modified file 'plugin/debug/plugin.ini'
--- plugin/debug/plugin.ini	2010-12-16 01:48:53 +0000
+++ plugin/debug/plugin.ini	2010-12-27 20:20:52 +0000
@@ -1,6 +1,7 @@
 [plugin]
 title=Kernel debugger utilities.
 description=crash(), assert(), and additional developer style tools.
-load_by_default=no
+load_by_default=yes
+static=yes
 sources=
   module.cc

=== modified file 'plugin/string_functions/regex.h'
--- plugin/string_functions/regex.h	2010-12-07 21:33:25 +0000
+++ plugin/string_functions/regex.h	2010-12-27 20:20:52 +0000
@@ -21,7 +21,7 @@
 #ifndef PLUGIN_STRING_FUNCTIONS_REGEX_H
 #define PLUGIN_STRING_FUNCTIONS_REGEX_H
 
-#include <drizzled/item/cmpfunc.h>
+#include <drizzled/item/function/boolean.h>
 #include <boost/regex.hpp>
 
 namespace drizzled
@@ -29,7 +29,7 @@
 namespace string_functions
 {
 
-class Regex :public Item_bool_func
+class Regex :public drizzled::item::function::Boolean
 {
   bool is_negative;
   boost::regex re;

=== modified file 'plugin/utility_functions/execute.h'
--- plugin/utility_functions/execute.h	2010-12-08 03:38:36 +0000
+++ plugin/utility_functions/execute.h	2010-12-27 20:20:52 +0000
@@ -22,7 +22,7 @@
 #ifndef PLUGIN_UTILITY_FUNCTIONS_EXECUTE_H
 #define PLUGIN_UTILITY_FUNCTIONS_EXECUTE_H
 
-#include <drizzled/item/cmpfunc.h>
+#include <drizzled/item/function/boolean.h>
 #include <drizzled/execute.h>
 #include <iostream>
 
@@ -32,14 +32,14 @@
 namespace utility_functions
 {
 
-class Execute :public Item_bool_func
+class Execute :public drizzled::item::function::Boolean
 {
   drizzled::String _res;
   drizzled::Execute execute;
 
 public:
   Execute() :
-    Item_bool_func(),
+    drizzled::item::function::Boolean(),
     execute(getSession(), false)
   {
     unsigned_flag= true;

